<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Courses recomendation</title>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <!-- Mobile support -->
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <!--Import Google Icon Font-->
        <link href="http://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <!--Import materialize.css-->
        <link type="text/css" rel="stylesheet" href="{{ url_for('static', filename = 'materialize/css/materialize.min.css') }}"  media="screen,projection"/>
        <!--Let browser know website is optimized for mobile-->
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
        <script type="text/javascript" src="https://code.jquery.com/jquery-2.1.1.min.js"></script>
        <style>
            body{
            background-color: RGB(237, 238, 240);
            }
        </style>
         <!-- Compiled and minified CSS -->
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/css/materialize.min.css">

        <!-- Compiled and minified JavaScript -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/0.100.2/js/materialize.min.js"></script>
    </head>
    <body>
        <nav>
            <div class="nav-wrapper teal darken-2">
                <a href="#" class="brand-logo center"> &nbsp; Courses recomendation</a>
            </div>
        </nav>
        <br>
        <form method="post">
            <div align = center class = "container ">
                {%for i in range(length)%}
                    <div class="row" align="center">
                    <div class="col s40 m25">
                      <div class="card blue-grey darken-1">
                        <div class="card-content white-text">
                          <span class="card-title">{{courses[i][0]}}</span>
                          <p>{{courses[i][1]}}</p>
                        </div>
                          <div class="checkbox">
                            <div class="card-action">
                                &nbsp;&nbsp;&nbsp;<label for="{{i}}">
                                <input type="checkbox" id="{{i}}" name="{{i}}"/>
                                <span class="fake-input"></span>
                            </label>
                                <a href="{{courses[i][3]}}" target="_blank">{{courses[i][3][8:].split('/')[0]}}</a>
                            </div>
                          </div>
                      </div>
                    </div>
                  </div>
                {%endfor%}
            </div>
            <div align="center">
                <button type="submit" class="btn btn-default">Submit</button>
            </div>
        </form>
    <style type="text/css">
        .fake-input {
            float: left;
            width: 20px;
            height: 20px;
            border: 1px solid #9f9f9f;
            background: #fff;
            vertical-align: middle;
            position: relative;
            margin-right: 10px;
            border-radius: 4px;
        }
        input[type="checkbox"] {
            left: -9999px;
        }
        input[type="checkbox"]:checked + .fake-input:before {
            content:"\2713";
            color: #000;
            text-align: center;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
        }
    </style>
    </body>
    <script>
        $('linkSelector').click(function (e) {
            e.preventDefault()
        /*dome code here*/
        });
    </script>
        <!--Import jQuery before materialize.js-->
      <script type="text/javascript" src="https://yastatic.net/jquery/3.1.1/jquery.min.js"></script>
      <script type="text/javascript" src="{{ url_for('static', filename='materialize/js/materialize.min.js') }}"></script>
</html>